Package org.gradle.testing.base

# Interface TestSuiteTarget

All Known Subinterfaces:
  `JvmTestSuiteTarget`

@Incubating public interface TestSuiteTarget
Base test suite target. A test suite target is a collection of tests that run in a particular context (operating system, Java runtime, etc).

Since:
  7.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Provider<Directory>`
  `getBinaryResultsDirectory()`
  The directory containing the binary results produced by executing this test suite target.

- ## Method Details

  - ### getBinaryResultsDirectory

    Provider<Directory> getBinaryResultsDirectory()
    The directory containing the binary results produced by executing this test suite target.
    Returns:
      the binary results directory
    Since:
      8.13